"""
处理时间格式
"""

from datetime import datetime, timedelta


def generate_hourly_strings(start_date, end_date):
    """
    Generate hourly date_str
    :param start_date:
    :param end_date:
    :return:
    """
    start = datetime.strptime(start_date, "%Y%m%d%H")
    end = datetime.strptime(end_date, "%Y%m%d%H")
    current = start
    date_strings = []
    while current <= end:
        date_strings.append(current.strftime("%Y%m%d%H"))
        current += timedelta(hours=1)
    return date_strings


def generate_daily_strings(start_date, end_date):
    """
    Generate daily date_str
    :param start_date:
    :param end_date:
    :return:
    """
    start = datetime.strptime(start_date, "%Y%m%d")
    end = datetime.strptime(end_date, "%Y%m%d")
    current = start
    date_strings = []
    while current <= end:
        date_strings.append(current.strftime("%Y%m%d"))
        current += timedelta(days=1)
    return date_strings


def generate_label_date(now_dt):
    """
    Generate date in 3 days
    :param now_dt:
    :return:
    """
    now_date = datetime.strptime(now_dt, "%Y%m%d%H")
    three_date = now_date + timedelta(days=4)
    return three_date.strftime("%Y%m%d")
